package com.yanzhu.jh.flow.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.yanzhu.jh.flow.domain.FlowLabourInfo;

/**
 * 劳资投诉Service接口
 * 
 * @author JiangYuQi
 * @date 2024-04-19
 */
public interface IFlowLabourInfoService 
{
    /**
     * 查询劳资投诉
     * 
     * @param id 劳资投诉主键
     * @return 劳资投诉
     */
    public FlowLabourInfo selectFlowLabourInfoById(Long id);

    /**
     * 查询劳资投诉列表
     * 
     * @param flowLabourInfo 劳资投诉
     * @return 劳资投诉集合
     */
    public List<FlowLabourInfo> selectFlowLabourInfoList(FlowLabourInfo flowLabourInfo);

    /**
     * 新增劳资投诉
     * 
     * @param flowLabourInfo 劳资投诉
     * @return 结果
     */
    public AjaxResult insertFlowLabourInfo(FlowLabourInfo flowLabourInfo);

    /**
     * 修改劳资投诉
     * 
     * @param flowLabourInfo 劳资投诉
     * @return 结果
     */
    public int updateFlowLabourInfo(FlowLabourInfo flowLabourInfo);

    /**
     * 批量删除劳资投诉
     * 
     * @param ids 需要删除的劳资投诉主键集合
     * @return 结果
     */
    public int deleteFlowLabourInfoByIds(Long[] ids);

    /**
     * 删除劳资投诉信息
     * 
     * @param id 劳资投诉主键
     * @return 结果
     */
    public int deleteFlowLabourInfoById(Long id);
}
